Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation
Class WFSGetCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.getcapabilities.GetCapabilities
              org.deegree.ogcwebservices.wfs.operation.WFSGetCapabilities

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class WFSGetCapabilities

extends GetCapabilities

Represents a GetCapabilities request to a web feature service.

The GetCapabilities request is used to query a capabilities document from a web feature service.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`WFSGetCapabilities(String id, String updateSeq, String[] acceptVersions, String[] sections, String[] acceptFormats, Map<String,String> vendoreSpec)` Creates a new `WFSGetCapabilities` instance. with a wfs version of `WFService.VERSION`.
`WFSGetCapabilities(String id, String version, String updateSeq, String[] acceptVersions, String[] sections, String[] acceptFormats, Map<String,String> vendoreSpec)` Creates a new `WFSGetCapabilities` instance.

Method Summary
`static WFSGetCapabilities` | `create(Map<String,String> request)` Creates a new `WFSGetCapabilities` request from the given map.
`static WFSGetCapabilities` | `create(String id, Element root)` Creates a `WFSGetCapabilities` instance from a document that contains the DOM representation of the request.
`static WFSGetCapabilities` | `create(String id, String request)` Creates a new `WFSGetCapabilities` instance from the given key-value pair encoded request.
`String` | `getServiceName()` Returns the service name (WFS).

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.GetCapabilities
`getAcceptFormats, getAcceptVersions, getSections, getUpdateSequence`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WFSGetCapabilities

    WFSGetCapabilities(String id,
                       String updateSeq,
                       String[] acceptVersions,
                       String[] sections,
                       String[] acceptFormats,
                       Map<String,String> vendoreSpec)

  Creates a new `WFSGetCapabilities` instance. with a wfs version of `WFService.VERSION`.

  Parameters:
    `id` - request identifier
    `updateSeq` -
    `acceptVersions` -
    `sections` -
    `acceptFormats` -
    `vendoreSpec` -

### WFSGetCapabilities

    WFSGetCapabilities(String id,
                       String version,
                       String updateSeq,
                       String[] acceptVersions,
                       String[] sections,
                       String[] acceptFormats,
                       Map<String,String> vendoreSpec)

  Creates a new `WFSGetCapabilities` instance.

  Parameters:
    `id` - request identifier
    `version` - the version of the request. (e.g 1.0.0 or 1.1.0)
    `updateSeq` -
    `acceptVersions` -
    `sections` -
    `acceptFormats` -
    `vendoreSpec` -

Method Detail

### create

    public static WFSGetCapabilities create(String id,
                                            Element root)
                                     throws OGCWebServiceException

  Creates a `WFSGetCapabilities` instance from a document that contains the DOM representation of the request.

  Parameters:
    `id` -
    `root` - element that contains the DOM representation of the request
  Returns:
    transaction instance
  Throws:
    `OGCWebServiceException`

### create

    public static WFSGetCapabilities create(String id,
                                            String request)
                                     throws MissingParameterValueException,
                                            InvalidParameterValueException

  Creates a new `WFSGetCapabilities` instance from the given key-value pair encoded request.

  Parameters:
    `id` - request identifier
    `request` -
  Returns:
    new `WFSGetCapabilities` request
  Throws:
    `InvalidParameterValueException`
    `MissingParameterValueException`

### create

    public static WFSGetCapabilities create(Map<String,String> request)
                                     throws MissingParameterValueException,
                                            InvalidParameterValueException

  Creates a new `WFSGetCapabilities` request from the given map.

  Parameters:
    `request` -
  Returns:
    new `WFSGetCapabilities` request
  Throws:
    `MissingParameterValueException`
    `InvalidParameterValueException`

### getServiceName

    public String getServiceName()

  Returns the service name (WFS).

  Returns:
    the service name (WFS).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org